commit 1678f27084400f39b41adccc3089d38a26b1597f
Author: Simon Welzel <simonwelzel@live.de>
Date:   Thu Jan 24 17:22:04 2019 +0100

    Re-Added files to a newer version of AMiRo-OS

diff --git a/Makefile b/Makefile
index 3125a9e..7edd321 100644
--- a/Makefile
+++ b/Makefile
@@ -1,7 +1,7 @@
 ################################################################################
 # AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
 # (AMiRo) platform.                                                            #
-# Copyright (C) 2016..2018  Thomas Schöpping et al.                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
 #                                                                              #
 # This program is free software: you can redistribute it and/or modify         #
 # it under the terms of the GNU General Public License as published by         #
@@ -26,7 +26,7 @@
 define HELP_TEXT
 ################################################################################
 #                                                                              #
-# Copyright (c) 2016..2018  Thomas Schöpping                                   #
+# Copyright (c) 2016..2019  Thomas Schöpping                                   #
 #                                                                              #
 # This is free software; see the source for copying conditions. There is NO    #
 # warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  #
@@ -48,15 +48,17 @@ ARGUMENTS:
   all:
       Builds the binaries for all modules.
 
-  flash:
-      Flashes all binaries to the hardware.
-      If the binaries do not exist, they are created beforehand.
+  <module>:
+      Builds the binary only for the specified module.
+
+  flash_<module>:
+      Builds the binary for the specified module and flashes it to the hardware.
 
   clean:
       Deletes all temporary and binary files of all modules.
 
-  <module>:
-      Builds the binary only for the specified module.
+  clean_<module>:
+      Deletes all temporary and binary files of the specified module.
 
 
 EXAMPLES:
@@ -69,17 +71,19 @@ EXAMPLES:
       This command will generate the binary files for the two modules
       DiWheelDrive (version 1.1) and LightRing (version 1.0).
 
-  >$$ make flash -j
-      This command will first build all missing binary files and flash all
-      modules as soon as the binaries are ready.
+  >$$ make all -j
+      This command will first build missing binary files for all modules that
+      are found in the 'modules/' folder.
       By the additional argument '-j' the build process will be parallelized.
 
-  >$$ make clean && make all && make flash
-      This command will first clean all thee projects. In a second step the
-      binaries for all modules are build from scratch. Finally all modules are
-      updated with the latest software.
-      The following command can be used as a shorter and faster version:
-          >$$ make clean && make flash -j
+  >$$ make flash_DiWheelDrive_1-1
+      This command will build the binary for the DiWheelDrive module
+      (version 1.1) only if required, and flash it to the hardware.
+
+  >$$ make clean; make all; make flash_DiWheelDrive_1-1
+      This command will first clean all projects. In a second step the binaries
+      for all modules are build from scratch. Finally the DiWheelDrive module
+      (version 1.1) is updated with the latest software.
 
 ################################################################################
 endef
diff --git a/amiroos.h b/amiroos.h
index a333890..a07c76c 100644
--- a/amiroos.h
+++ b/amiroos.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/bootloader/bootloader.mk b/bootloader/bootloader.mk
index 75f2b72..c7171bf 100644
--- a/bootloader/bootloader.mk
+++ b/bootloader/bootloader.mk
@@ -1,7 +1,7 @@
 ################################################################################
 # AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
 # (AMiRo) platform.                                                            #
-# Copyright (C) 2016..2018  Thomas Schöpping et al.                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
 #                                                                              #
 # This program is free software: you can redistribute it and/or modify         #
 # it under the terms of the GNU General Public License as published by         #
diff --git a/bootloader/bootloadersetup.sh b/bootloader/bootloadersetup.sh
index d47a5a3..491c25f 100755
--- a/bootloader/bootloadersetup.sh
+++ b/bootloader/bootloadersetup.sh
@@ -263,6 +263,40 @@ function setLogFile {
   return 0
 }
 
+### check whether commands are available #######################################
+# Checks whether the specified commands are available and can be executed.
+#
+# usage:      checkCommand [<command> <command> ...]
+# arguments:  <command>
+#                 Name of the command to check.
+# return:     0
+#                 All requested commands are available.
+#             >0
+#                 Number of requested commands that were not found.
+#             -1
+#                 No argument given.
+#
+function checkCommands {
+  local status=0
+
+  # return if no argument was specified
+  if [ $# -eq 0 ]; then
+    return -1
+  fi
+
+  # check all specified commands
+  while [ $# -gt 0 ]; do
+    command -v $1 &>/dev/null
+    if [ $? -ne 0 ]; then
+      printWarning "Command '$1' not available.\n"
+      status=$((status + 1))
+    fi
+    shift 1
+  done
+
+  return $status
+}
+
 ################################################################################
 # SPECIFIC FUNCTIONS                                                           #
 ################################################################################
@@ -329,6 +363,8 @@ function printHelp {
 #                 Warning: Arborted by user.
 #             -1
 #                 Error: Unexpected user input.
+#             -2
+#                 Error: Missing dependencies.
 #
 function initAmiroBlt {
   printInfo "initializing AMiRo-BLT submodule...\n"
@@ -354,6 +390,13 @@ function initAmiroBlt {
     esac
   fi
 
+  # check dependencies
+  checkCommands git
+  if [ $? -ne 0 ]; then
+    printError "Missing dependencies detected.\n"
+    return -2
+  fi
+
   # initialize submodule to default branch
   cd $bootloaderdir
   git submodule update --init $amirobltdir 2>&1 | tee -a $LOG_FILE
@@ -412,13 +455,30 @@ function amiroBltSetup {
 #
 # usage:      wipeAmiroBlt
 # arguments:  n/a
-# return:     n/a
+# return:     0
+#                 No error or warning occurred.
+#             1
+#                 Warning: AMiRo-BLT Git submodule already empty
+#             2
+#                 Warning: Aborted by user.
+#             -1
+#                 Error: Unexpected input occurred
+#             -2
+#                 Error: Missing dependencies.
+#
 function wipeAmiroBlt {
   printInfo "reset and wipe Git submodule $amirobltdir\n"
   local userdir=$(pwd)
   local bootloaderdir=$(dirname $(realpath ${BASH_SOURCE[0]}))
   local amirobltdir=${bootloaderdir}/AMiRo-BLT
 
+  # check dependencies
+  checkCommands git
+  if [ $? -ne 0 ]; then
+    printError "Missing dependencies detected.\n"
+    return -2
+  fi
+
   # if the AMiRo-BLT folder is empty
   if [ -z "$(ls -A $amirobltdir)" ]; then
     printWarning "$amirobltdir is already empty\n"
diff --git a/core/core.mk b/core/core.mk
index 9bc01a8..c647a16 100644
--- a/core/core.mk
+++ b/core/core.mk
@@ -1,7 +1,7 @@
 ################################################################################
 # AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
 # (AMiRo) platform.                                                            #
-# Copyright (C) 2016..2018  Thomas Schöpping et al.                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
 #                                                                              #
 # This program is free software: you can redistribute it and/or modify         #
 # it under the terms of the GNU General Public License as published by         #
@@ -30,15 +30,8 @@ AMIROOS_CORE_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
 AMIROOSCOREINC = $(AMIROOS_CORE_DIR)inc
 
 # C source files
-AMIROOSCORECSRC = $(AMIROOS_CORE_DIR)src/aos_debug.c \
-                  $(AMIROOS_CORE_DIR)src/aos_iostream.c \
-                  $(AMIROOS_CORE_DIR)src/aos_shell.c \
-                  $(AMIROOS_CORE_DIR)src/aos_system.c \
-                  $(AMIROOS_CORE_DIR)src/aos_thread.c \
-                  $(AMIROOS_CORE_DIR)src/aos_time.c \
-                  $(AMIROOS_CORE_DIR)src/aos_timer.c \
-                  $(AMIROOS_CORE_DIR)src/aos_unittest.c
+AMIROOSCORECSRC = $(wildcard $(AMIROOS_CORE_DIR)src/*.c)
 
 # C++ source files
-AMIROOSCORECPPSRC = $(AMIROOS_CORE_DIR)src/aos_main.cpp
+AMIROOSCORECPPSRC = $(wildcard $(AMIROOS_CORE_DIR)src/*.c?*)
 
diff --git a/core/inc/aos_confcheck.h b/core/inc/aos_confcheck.h
index 5d67b08..252bcbb 100644
--- a/core/inc/aos_confcheck.h
+++ b/core/inc/aos_confcheck.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -49,40 +49,45 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
   #error "AMIROOS_CFG_MAIN_LOOP_TIMEOUT not defined in aosconf.h"
 #endif
 
-#if (AMIROOS_CFG_SSSP_ENABLE == true)
-
 /*
  * SSSP parameters and options
  */
 
-#ifndef AMIROOS_CFG_SSSP_MASTER
-  #error "AMIROOS_CFG_SSSP_MASTER not defined in aosconf.h"
+#ifndef AMIROOS_CFG_SSSP_ENABLE
+  #error "AMIROOS_CFG_SSSP_ENABLE not defined in aosconf.h"
 #endif
 
-#ifndef AMIROOS_CFG_SSSP_STACK_START
-  #error "AMIROOS_CFG_SSSP_STACK_START not defined in aosconf.h"
-#endif
+# if (AMIROOS_CFG_SSSP_ENABLE == true)
 
-#ifndef AMIROOS_CFG_SSSP_STACK_END
-  #error "AMIROOS_CFG_SSSP_STACK_END not defined in aosconf.h"
-#endif
+  #ifndef AMIROOS_CFG_SSSP_MASTER
+    #error "AMIROOS_CFG_SSSP_MASTER not defined in aosconf.h"
+  #endif
 
-#if (AMIROOS_CFG_SSSP_STACK_START == true) && (AMIROOS_CFG_SSSP_STACK_END == true)
-  #warning "AMIROOS_CFG_SSSP_STACK_START and AMIROOS_CFG_SSSP_STACK_END both enabled in aosconf.h"
-  #if (AMIROOS_CFG_SSSP_MASTER != true)
-    #error "AMIROOS_CFG_SSSP_MASTER must be enabled in this case"
+  #ifndef AMIROOS_CFG_SSSP_STACK_START
+    #error "AMIROOS_CFG_SSSP_STACK_START not defined in aosconf.h"
   #endif
-#endif
 
-#ifndef AMIROOS_CFG_SSSP_SIGNALDELAY
-  #error "AMIROOS_CFG_SSSP_SIGNALDELAY not defined in aosconf.h"
-#endif
+  #ifndef AMIROOS_CFG_SSSP_STACK_END
+    #error "AMIROOS_CFG_SSSP_STACK_END not defined in aosconf.h"
+  #endif
 
-#ifndef AMIROOS_CFG_SSSP_SYSSYNCPERIOD
-  #error "AMIROOS_CFG_SSSP_SYSSYNCPERIOD not defined in aosconf.h"
-#endif
+  #if (AMIROOS_CFG_SSSP_STACK_START == true) && (AMIROOS_CFG_SSSP_STACK_END == true)
+    #warning "AMIROOS_CFG_SSSP_STACK_START and AMIROOS_CFG_SSSP_STACK_END both enabled in aosconf.h"
+    #if (AMIROOS_CFG_SSSP_MASTER != true)
+      #error "AMIROOS_CFG_SSSP_MASTER must be enabled in this case"
+    #endif
+  #endif
+
+  #ifndef AMIROOS_CFG_SSSP_SIGNALDELAY
+    #error "AMIROOS_CFG_SSSP_SIGNALDELAY not defined in aosconf.h"
+  #endif
+
+  #ifndef AMIROOS_CFG_SSSP_SYSSYNCPERIOD
+    #error "AMIROOS_CFG_SSSP_SYSSYNCPERIOD not defined in aosconf.h"
+  #endif
 
 #endif
+
 /*
  * System shell options
  */
diff --git a/core/inc/aos_debug.h b/core/inc/aos_debug.h
index 56a33ba..79fcf42 100644
--- a/core/inc/aos_debug.h
+++ b/core/inc/aos_debug.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/core/inc/aos_iostream.h b/core/inc/aos_iostream.h
index 2c71571..0cfbba4 100644
--- a/core/inc/aos_iostream.h
+++ b/core/inc/aos_iostream.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/core/inc/aos_shell.h b/core/inc/aos_shell.h
index 1cf5eee..9d7ebc0 100644
--- a/core/inc/aos_shell.h
+++ b/core/inc/aos_shell.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/core/inc/aos_system.h b/core/inc/aos_system.h
index 89fbe33..7db756a 100644
--- a/core/inc/aos_system.h
+++ b/core/inc/aos_system.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -27,6 +27,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #ifndef _AMIROOS_SYSTEM_H_
 #define _AMIROOS_SYSTEM_H_
 
+#include <time.h>
 #include <aos_iostream.h>
 #include <amiro-lld.h>
 #include <aos_shell.h>
@@ -63,7 +64,19 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #define AOS_SYSTEM_EVENTFLAGS_RESTART           (AOS_SYSTEM_EVENTFLAGS_SHUTDOWN | (eventflags_t)(1 << 4))
 
-#if (AMIROOS_CFG_SSSP_ENABLE == true)
+/**
+ * @brief   Enumerator to identify shutdown types.
+ */
+typedef enum aos_shutdown {
+  AOS_SHUTDOWN_NONE,            /**< Default value if no shutdown action was initiated */
+  AOS_SHUTDOWN_PASSIVE,         /**< Passive shutdown (initiated by another module). */
+  AOS_SHUTDOWN_HIBERNATE,       /**< Active shutdown to hibernate mode. */
+  AOS_SHUTDOWN_DEEPSLEEP,       /**< Active shutdown to deepsleep mode. */
+  AOS_SHUTDOWN_TRANSPORTATION,  /**< Active shutdown to transportation mode. */
+  AOS_SHUTDOWN_RESTART,         /**< Active saystem restart request. */
+} aos_shutdown_t;
+
+#if (AMIROOS_CFG_SSSP_ENABLE == true) || defined(__DOXYGEN__)
 
 /**
  * @brief   Major version of the implemented SSSP.
@@ -81,22 +94,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #define AOS_SYSTEM_SSSP_TIMEOUT                 (10 * AMIROOS_CFG_SSSP_SIGNALDELAY)
 
-#endif
-
-/**
- * @brief   Enumerator to identify shutdown types.
- */
-typedef enum aos_shutdown {
-  AOS_SHUTDOWN_NONE,            /**< Default value if no shutdown action was initiated */
-  AOS_SHUTDOWN_PASSIVE,         /**< Passive shutdown (initiated by another module). */
-  AOS_SHUTDOWN_HIBERNATE,       /**< Active shutdown to hibernate mode. */
-  AOS_SHUTDOWN_DEEPSLEEP,       /**< Active shutdown to deepsleep mode. */
-  AOS_SHUTDOWN_TRANSPORTATION,  /**< Active shutdown to transportation mode. */
-  AOS_SHUTDOWN_RESTART,         /**< Active saystem restart request. */
-} aos_shutdown_t;
-
-#if (AMIROOS_CFG_SSSP_ENABLE == true)
-
 /**
  * @brief   Enumerator of the several stages of SSSP.
  */
@@ -119,21 +116,18 @@ typedef enum aos_ssspstage {
   AOS_SSSP_SHUTDOWN_3   = 0x38, /**< Identifier of SSSP shutdown phase stage 3. */
 } aos_ssspstage_t;
 
-#endif
-
-#if (AMIROOS_CFG_SSSP_ENABLE == true)
 /**
  * @brief   Type to represent module IDs.
  */
 typedef uint16_t aos_ssspmoduleid_t;
-#endif
 
+#endif /* AMIROOS_CFG_SSSP_ENABLE == true */
 
 /**
  * @brief   AMiRo-OS base system structure.
  */
 typedef struct aos_system {
-#if (AMIROOS_CFG_SSSP_ENABLE == true)
+#if (AMIROOS_CFG_SSSP_ENABLE == true) || defined(__DOXYGEN__)
   /**
    * @brief   SSSP relevant data.
    */
@@ -150,7 +144,8 @@ typedef struct aos_system {
      */
     aos_ssspmoduleid_t moduleId;
   } sssp;
-#endif
+#endif /* AMIROOS_CFG_SSSP_ENABLE == true */
+
   /**
    * @brief   System I/O stream.
    */
@@ -202,7 +197,7 @@ extern "C" {
   void aosSysInit(void);
 #endif
   void aosSysStart(void);
-  #if (AMIROOS_CFG_SSSP_ENABLE == true)
+#if (AMIROOS_CFG_SSSP_ENABLE == true) || defined (__DOXYGEN__)
   eventmask_t aosSysSsspStartupOsInitSyncCheck(event_listener_t* syncEvtListener);
 #endif
   void aosSysGetUptimeX(aos_timestamp_t* ut);
diff --git a/core/inc/aos_thread.h b/core/inc/aos_thread.h
index c08ec00..613ab54 100644
--- a/core/inc/aos_thread.h
+++ b/core/inc/aos_thread.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -99,7 +99,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 extern "C" {
 #endif
   void aosThdSleepUntilS(const aos_timestamp_t* t);
-#if (CH_DBG_FILL_THREADS == TRUE)
+#if (AMIROOS_CFG_DBG == true) && (CH_DBG_FILL_THREADS == TRUE)
   size_t aosThdGetStackPeakUtilization(thread_t* thread);
 #endif
 #ifdef __cplusplus
@@ -240,6 +240,8 @@ static inline void aosThdSleepUntil(const aos_timestamp_t* t)
   return;
 }
 
+#if (AMIROOS_CFG_DBG == true) || defined(__DOXYGEN__)
+
 /**
  * @brief   Retrieve the stack size of a specific thread in bytes.
  *
@@ -263,6 +265,8 @@ static inline size_t aosThdGetStacksize(thread_t* thread)
          ((size_t)PORT_GUARD_PAGE_SIZE + sizeof(struct port_intctx) + sizeof(struct port_extctx) + (size_t)PORT_INT_REQUIRED_STACK);
 }
 
+#endif /* AMIROOS_CFG_DBG == true */
+
 #endif /* _AMIROOS_THREAD_H_ */
 
 /** @} */
diff --git a/core/inc/aos_time.h b/core/inc/aos_time.h
index 284af13..39f9196 100644
--- a/core/inc/aos_time.h
+++ b/core/inc/aos_time.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/core/inc/aos_timer.h b/core/inc/aos_timer.h
index 495c741..4dade54 100644
--- a/core/inc/aos_timer.h
+++ b/core/inc/aos_timer.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/core/inc/aos_types.h b/core/inc/aos_types.h
index 4154884..6925a0a 100644
--- a/core/inc/aos_types.h
+++ b/core/inc/aos_types.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -28,6 +28,11 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define _AMIROOS_TYPES_H_
 
 /**
+ * @brief   Converts a GPIO pad number to a unique event flag.
+ */
+#define AOS_IOEVENT_FLAG(pad)                   ((eventflags_t)1 << pad)
+
+/**
  * @brief   Error codes used in AMiRo-OS.
  */
 typedef enum {
diff --git a/core/inc/aos_unittest.h b/core/inc/aos_unittest.h
index 3900bac..5efea26 100644
--- a/core/inc/aos_unittest.h
+++ b/core/inc/aos_unittest.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/core/src/aos_debug.c b/core/src/aos_debug.c
index f4e5dbe..4153558 100644
--- a/core/src/aos_debug.c
+++ b/core/src/aos_debug.c
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/core/src/aos_iostream.c b/core/src/aos_iostream.c
index 548eae2..75df0a1 100644
--- a/core/src/aos_iostream.c
+++ b/core/src/aos_iostream.c
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
